<div class="main-content">

	<div class="mb-16">
		<h3 fxFlex=""> Список абитуриентов </h3>
		<a mat-flat-button
			color="accent"
			[routerLink]="['add']"> Добавить нового абитуриента </a>
	</div>

	<app-loader *ngIf="isLoad"></app-loader>

	<div class="art-card" *ngIf="persons" [@animate]="{value:'*',params:{delay:'300ms',y:'25px'}}">
		<table mat-table [dataSource]="persons" matSort
			(matSortChange)="sortEvent.next($event)"
			[matSortActive]="params.sortby"
			[matSortDirection]="params.order">
			<!-- surname -->
			<ng-container matColumnDef="surname">
				<th mat-header-cell  *matHeaderCellDef mat-sort-header="surname"> Фамилия </th>
				<td mat-cell *matCellDef="let row"> {{ row.surname }}</td>
			</ng-container>
			<ng-container matColumnDef="searchSurname">
				<th mat-header-cell *matHeaderCellDef>
					<mat-form-field appearance="standard">
						<input matInput
						       [(ngModel)] = "params.search_surname"
						       (input)="search.next($event.target.value)"
						       placeholder="Поиск по фамилии" >
					</mat-form-field>
				</th>
			</ng-container>

			<!-- name -->
			<ng-container matColumnDef="name">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="name"> Имя </th>
				<td mat-cell *matCellDef="let row"> {{ row.name }}</td>
			</ng-container>
			<ng-container matColumnDef="searchName">
				<th mat-header-cell *matHeaderCellDef>
					<mat-form-field appearance="standard">
						<input matInput placeholder="Поиск по имени"
						       [(ngModel)] = "params.search_name"
						       (input)="search.next($event.target.value)"
						>
					</mat-form-field>
				</th>
			</ng-container>

			<!-- patronymic -->
			<ng-container matColumnDef="patronymic">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="patronymic"> Отчество </th>
				<td mat-cell *matCellDef="let row"> {{ row.patronymic }}</td>
			</ng-container>
			<ng-container matColumnDef="searchPatronymic">
				<th mat-header-cell *matHeaderCellDef>
					<mat-form-field appearance="standard">
						<input matInput placeholder="Поиск по отчеству"
						       [(ngModel)] = "params.search_patronymic"
						       (input)="search.next($event.target.value)"
						>
					</mat-form-field>
				</th>
			</ng-container>

			<!-- snils -->
			<ng-container matColumnDef="snils" >
				<th mat-header-cell *matHeaderCellDef mat-sort-header="snils"> СНИЛС </th>
				<td mat-cell *matCellDef="let row"> {{ row.snils }}</td>
			</ng-container>
			<ng-container matColumnDef="searchSnils">
				<th mat-header-cell *matHeaderCellDef>
					<mat-form-field  appearance="standard">
						<input matInput placeholder="Поиск по СНИЛС"
						       [(ngModel)] = "params.search_snils"
						       (input)="search.next($event.target.value)"
						>
					</mat-form-field>
				</th>
			</ng-container>

			<!-- birthday -->
			<ng-container matColumnDef="birthday">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="birthday"> Дата рождения </th>
				<td mat-cell *matCellDef="let row"> {{ row.birthday | date: 'dd.MM.yyyy'}}</td>
			</ng-container>
			<ng-container matColumnDef="searchBirthday">
				<th mat-header-cell *matHeaderCellDef>
					<button mat-icon-button
						(click)="clearFilter($event)"
						[disabled]="! (this.params.search_name
						|| this.params.search_surname
						|| this.params.search_patronymic
						|| this.params.search_snils)"
						matTooltip="Очистить фильтр"
						color="primary">
						<mat-icon svgIcon="cancel"></mat-icon>
					</button>
				</th>
			</ng-container>

			<!-- createtime -->
			<ng-container matColumnDef="created">
				<th mat-header-cell *matHeaderCellDef > Дата создания </th>
				<td mat-cell *matCellDef="let row"> {{ row.created }}</td>
			</ng-container>

			<ng-container matColumnDef="noRecord">
				<td mat-footer-cell *matFooterCellDef [colSpan]="displayedColumns.length" ><i>Абитуриентов не найдено</i></td>
			</ng-container>

			<!-- contents row -->
			<tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: false"></tr>
			<tr mat-header-row *matHeaderRowDef="searchColumns" class="searchColumns" ></tr>
			<tr mat-row class="table-row" *matRowDef="let row; columns: displayedColumns;" [routerLink]="['./', row.id]"> </tr>
			<tr mat-footer-row *matFooterRowDef="['noRecord']" [hidden]="persons.length > 0"></tr>

		</table>

		<mat-paginator  [length]="total"
		                [pageIndex]="params.page - 1"
		                [pageSize]="params.limit"
		                (page)="pagination.next($event)"
		                [pageSizeOptions]="pageSizeOptions"
		                showFirstLastButtons>
		</mat-paginator>

	</div>



</div>


